GNU bug report logs - #56137
OpenSSL 1.1.1n test failures due to expired certificates (time bomb)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: Ludovic Courtès <ludo@HIDDEN>; merged with #58650; dated Wed, 22 Jun 2022 09:59:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 56137 <at> debbugs.gnu.org:


Received: (at 56137) by debbugs.gnu.org; 26 Feb 2023 05:29:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 26 00:29:24 2023
Received: from localhost ([127.0.0.1]:42144 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pW9bA-0006AS-1u
	for submit <at> debbugs.gnu.org; Sun, 26 Feb 2023 00:29:24 -0500
Received: from mail-qt1-f178.google.com ([209.85.160.178]:47082)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1pW9b7-0006A3-Ot
 for 56137 <at> debbugs.gnu.org; Sun, 26 Feb 2023 00:29:22 -0500
Received: by mail-qt1-f178.google.com with SMTP id c19so3523919qtn.13
 for <56137 <at> debbugs.gnu.org>; Sat, 25 Feb 2023 21:29:21 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=O8LxQZZZtWAr/eAfLlrv1+BctuBSNRHMj3XYANWRD8g=;
 b=J5Pe5RPCbtl7FTBSwxrgd9Xm8JEX6d9Dk0rHevEFbjDj+d5f4mwkMudbxR5QZYTvTK
 ilenRfbsdKabeGtFeSRJDvHKKAeX2fIikE95RCZXv9fGRWSpUZIa01UBqlAiAgxyCgCM
 ra/E9g+HUHuDevIF0CIA0LCDl13pyx0GHspn/u4Oc8qM3+/hH66cYmy5aUfQL6lTb/gp
 lIWG35wrDUnzg2S7czZJKKK6ev0BSv1h0n+uRti6UpuWnvFi+4JhUBrJw+8G3Lzx/+Rl
 WiKKNkmTRwAng5YmPo3FDNt8NHpenSKXgRiDhWItDHTsZrydC42/NozVnrElLuTK2uX3
 Vwfw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=O8LxQZZZtWAr/eAfLlrv1+BctuBSNRHMj3XYANWRD8g=;
 b=KFTavEx1BYGa0nSoOU+W1S8J5HWHbTPcYvzz5bH87iN+uOvrnRKrN2nmIz9or7c//4
 beokgCx3dfrz8fRZmonX9BcwtwLrTr6aJokStjwumh0Kej6ke2hunrUOxOmVzpoh0m+t
 WK7CkeYEyAFw7WrkkBP6YWbpaJn4aU7s/eyGLwkZ29w6HWrWNXgn2CBWafDrJhEfulWe
 piO/v5eELGXBbXoH5X3v4SQLIjpgRSO8PpFRrA/VsniSajJxYt5UTbJEwn+8vKYfGIzw
 EDzjNS6i4PqcVGczL4oAejZs0aevZryPOCFygP7P20B6sBawVUGxhZOs2n5slanZgCcR
 Q61A==
X-Gm-Message-State: AO0yUKWwW65sV62qFZJH3cwA8qtYJ4DD0OgfyiF3jNtcIzAAbkCpsieF
 fIpn4EojL15k1Na2A3tB1XiwrBEHZGFofFsC
X-Google-Smtp-Source: AK7set/B7HflMS6xPlSflhbdUnXQYwT+mL7sketgjoRVbna68R3qnSQZJDNKzV0z1P192MI4LfwYOg==
X-Received: by 2002:a05:622a:24b:b0:3b9:ca95:da6e with SMTP id
 c11-20020a05622a024b00b003b9ca95da6emr34924221qtx.44.1677389355985; 
 Sat, 25 Feb 2023 21:29:15 -0800 (PST)
Received: from localhost.localdomain (dsl-141-27.b2b2c.ca. [66.158.141.27])
 by smtp.gmail.com with ESMTPSA id
 z15-20020ac8454f000000b003b848759ed8sm2429567qtn.47.2023.02.25.21.29.15
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 25 Feb 2023 21:29:15 -0800 (PST)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 56137 <at> debbugs.gnu.org
Subject: [PATCH 2/2] gnu: openssl-1.1: Run the test suite through datefudge.
Date: Sun, 26 Feb 2023 00:29:05 -0500
Message-Id: <20230226052906.784-2-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.39.1
In-Reply-To: <20230226052906.784-1-maxim.cournoyer@HIDDEN>
References: <20230226052906.784-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56137
Cc: sjors@HIDDEN, ludo@HIDDEN, maximedevos@HIDDEN,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>, zimon.toutoune@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Fixes <https://issues.guix.gnu.org/56137>.

* gnu/packages/tls.scm (openssl-1.1): Bind a RELEASE-DATE variable.
[arguments]: Invoke the test suite through datefudge, to avoid certificates
from expiring as time passes.
[native-inputs]: Add datefudge.

---

 gnu/packages/tls.scm | 266 +++++++++++++++++++++++--------------------
 1 file changed, 144 insertions(+), 122 deletions(-)

diff --git a/gnu/packages/tls.scm b/gnu/packages/tls.scm
index 524b801443..c20548e89a 100644
--- a/gnu/packages/tls.scm
+++ b/gnu/packages/tls.scm
@@ -492,130 +492,152 @@ (define (target->openssl-target target)
         (string-append kernel "-" arch))))
 
 (define-public openssl-1.1
-  (package
-    (name "openssl")
-    (version "1.1.1l")
-    (replacement openssl/fixed)
-    (source (origin
-              (method url-fetch)
-              (uri (list (string-append "https://www.openssl.org/source/openssl-"
-                                        version ".tar.gz")
-                         (string-append "ftp://ftp.openssl.org/source/"
-                                        "openssl-" version ".tar.gz")
-                         (string-append "ftp://ftp.openssl.org/source/old/"
-                                        (string-trim-right version char-set:letter)
-                                        "/openssl-" version ".tar.gz")))
-              (patches (search-patches "openssl-1.1-c-rehash-in.patch"))
-              (sha256
-               (base32
-                "1lbblxps2fhmz7bqh058iywh5wxfignbfx1s1kz2fj63b5g3wyhb"))))
-    (build-system gnu-build-system)
-    (outputs '("out"
-               "doc"        ;6.8 MiB of man3 pages and full HTML documentation
-               "static"))   ;6.4 MiB of .a files
-    (native-inputs (list perl))
-    (arguments
-     (list
-      #:parallel-tests? #f
-      #:test-target "test"
-
-      ;; Changes to OpenSSL sometimes cause Perl to "sneak in" to the closure,
-      ;; so we explicitly disallow it here.
-      #:disallowed-references (list (canonical-package perl))
-      #:phases
-      #~(modify-phases %standard-phases
-          #$@(if (%current-target-system)
-                 #~((add-before 'configure 'set-cross-compile
-                      (lambda* (#:key target #:allow-other-keys)
-                        (setenv "CROSS_COMPILE" (string-append target "-"))
-                        (setenv "CONFIGURE_TARGET_ARCH"
-                                #$(target->openssl-target
-                                   (%current-target-system))))))
-                 #~())
-          ;; This test seems to be dependant on kernel features.
-          ;; https://github.com/openssl/openssl/issues/12242
-          #$@(if (or (target-arm?)
-                     (target-riscv64?))
-                 #~((replace 'check
-                      (lambda* (#:key tests? test-target #:allow-other-keys)
-                        (when tests?
-                          (invoke "make" "TESTS=-test_afalg" test-target)))))
-                 #~())
-          (replace 'configure
-            (lambda* (#:key configure-flags #:allow-other-keys)
-              (let* ((out #$output)
-                     (lib (string-append out "/lib")))
-                ;; It's not a shebang so patch-source-shebangs misses it.
-                (substitute* "config"
-                  (("/usr/bin/env")
-                   (string-append (assoc-ref %build-inputs "coreutils")
-                                  "/bin/env")))
-                (apply
-                 invoke #$@(if (%current-target-system)
-                               #~("./Configure")
-                               #~("./config"))
-                 "shared"               ;build shared libraries
-                 "--libdir=lib"
+  ;; Note to maintainers: when updating this package, make sure to update the
+  ;; RELEASE-DATE variable below.  It is used by datefudge to avoid time bombs
+  ;; in the test suite.
+  (let ((release-date "2021-12-14 00:00"))
+    (package
+      (name "openssl")
+      (version "1.1.1l")
+      (replacement openssl/fixed)
+      (source (origin
+                (method url-fetch)
+                (uri (list (string-append "https://www.openssl.org/source/openssl-"
+                                          version ".tar.gz")
+                           (string-append "ftp://ftp.openssl.org/source/"
+                                          "openssl-" version ".tar.gz")
+                           (string-append "ftp://ftp.openssl.org/source/old/"
+                                          (string-trim-right version char-set:letter)
+                                          "/openssl-" version ".tar.gz")))
+                (patches (search-patches "openssl-1.1-c-rehash-in.patch"))
+                (sha256
+                 (base32
+                  "1lbblxps2fhmz7bqh058iywh5wxfignbfx1s1kz2fj63b5g3wyhb"))))
+      (build-system gnu-build-system)
+      (outputs '("out"
+                 "doc"      ;6.8 MiB of man3 pages and full HTML documentation
+                 "static")) ;6.4 MiB of .a files
+      (native-inputs (list datefudge perl))
+      (arguments
+       (list
+        #:modules '((guix build gnu-build-system)
+                    (guix build utils)
+                    (srfi srfi-34))
+        #:parallel-tests? #f
+        #:test-target "test"
+        #:make-flags
+        #~(list #$@(if (or (target-arm?)
+                           (target-riscv64?))
+                       ;; This test seems to be dependant on kernel features.
+                       ;; https://github.com/openssl/openssl/issues/12242
+                       #~("TESTS=-test_afalg")
+                       #~()))
+        ;; Changes to OpenSSL sometimes cause Perl to "sneak in" to the closure,
+        ;; so we explicitly disallow it here.
+        #:disallowed-references (list (canonical-package perl))
+        #:phases
+        #~(modify-phases %standard-phases
+            #$@(if (%current-target-system)
+                   #~((add-before 'configure 'set-cross-compile
+                        (lambda* (#:key target #:allow-other-keys)
+                          (setenv "CROSS_COMPILE" (string-append target "-"))
+                          (setenv "CONFIGURE_TARGET_ARCH"
+                                  #$(target->openssl-target
+                                     (%current-target-system))))))
+                   #~())
+            (replace 'check
+              (lambda* (#:key target make-flags tests? test-target
+                        parallel-tests? test-suite-log-regexp
+                        #:allow-other-keys)
+                (if tests?
+                    (guard (c ((invoke-error? c)
+                               ;; Dump the test suite log to facilitate debugging.
+                               (display "\nTest suite failed, dumping logs.\n"
+                                        (current-error-port))
+                               (dump-file-contents "." test-suite-log-regexp)
+                               (raise c)))
+                      (apply invoke "datefudge" #$release-date
+                             "make" test-target
+                             `(,@(if parallel-tests?
+                                     `("-j" ,(number->string (parallel-job-count)))
+                                     '())
+                               ,@make-flags)))
+                    (format #t "test suite not run~%"))))
+            (replace 'configure
+              (lambda* (#:key configure-flags #:allow-other-keys)
+                (let* ((out #$output)
+                       (lib (string-append out "/lib")))
+                  ;; It's not a shebang so patch-source-shebangs misses it.
+                  (substitute* "config"
+                    (("/usr/bin/env")
+                     (string-append (assoc-ref %build-inputs "coreutils")
+                                    "/bin/env")))
+                  (apply
+                   invoke #$@(if (%current-target-system)
+                                 #~("./Configure")
+                                 #~("./config"))
+                   "shared"             ;build shared libraries
+                   "--libdir=lib"
 
-                 ;; The default for this catch-all directory is
-                 ;; PREFIX/ssl.  Change that to something more
-                 ;; conventional.
-                 (string-append "--openssldir=" out
-                                "/share/openssl-"
-                                #$(package-version this-package))
+                   ;; The default for this catch-all directory is
+                   ;; PREFIX/ssl.  Change that to something more
+                   ;; conventional.
+                   (string-append "--openssldir=" out
+                                  "/share/openssl-"
+                                  #$(package-version this-package))
 
-                 (string-append "--prefix=" out)
-                 (string-append "-Wl,-rpath," lib)
-                 #$@(if (%current-target-system)
-                        #~((getenv "CONFIGURE_TARGET_ARCH"))
-                        #~())
-                 configure-flags)
-                ;; Output the configure variables.
-                (invoke "perl" "configdata.pm" "--dump"))))
-          (add-after 'install 'move-static-libraries
-            (lambda _
-              ;; Move static libraries to the "static" output.
-              (let* ((out    #$output)
-                     (lib    (string-append out "/lib"))
-                     (static #$output:static)
-                     (slib   (string-append static "/lib")))
-                (for-each (lambda (file)
-                            (install-file file slib)
-                            (delete-file file))
-                          (find-files
-                           lib
-                           #$(if (target-mingw?)
-                                 '(lambda (filename _)
-                                    (and (string-suffix? ".a" filename)
-                                         (not (string-suffix? ".dll.a" filename))))
-                                 "\\.a$"))))))
-          (add-after 'install 'move-extra-documentation
-            (lambda _
-              ;; Move man pages and full HTML documentation to "doc".
-              (let* ((out    #$output)
-                     (man    (string-append out "/share/man"))
-                     (html   (string-append out "/share/doc/openssl"))
-                     (doc    #$output:doc)
-                     (man-target (string-append doc "/share/man"))
-                     (html-target (string-append doc "/share/doc/openssl")))
-                (mkdir-p (dirname man-target))
-                (mkdir-p (dirname html-target))
-                (rename-file man man-target)
-                (rename-file html html-target))))
-          (add-after
-              'install 'remove-miscellany
-            (lambda _
-              ;; The 'misc' directory contains random undocumented shell and Perl
-              ;; scripts.  Remove them to avoid retaining a reference on Perl.
-              (delete-file-recursively (string-append #$output "/share/openssl-"
-                                                      #$(package-version this-package)
-                                                      "/misc")))))))
-    (native-search-paths
-     (list $SSL_CERT_DIR $SSL_CERT_FILE))
-    (synopsis "SSL/TLS implementation")
-    (description "OpenSSL is an implementation of SSL/TLS.")
-    (license license:openssl)
-    (home-page "https://www.openssl.org/")))
+                   (string-append "--prefix=" out)
+                   (string-append "-Wl,-rpath," lib)
+                   #$@(if (%current-target-system)
+                          #~((getenv "CONFIGURE_TARGET_ARCH"))
+                          #~())
+                   configure-flags)
+                  ;; Output the configure variables.
+                  (invoke "perl" "configdata.pm" "--dump"))))
+            (add-after 'install 'move-static-libraries
+              (lambda _
+                ;; Move static libraries to the "static" output.
+                (let* ((out    #$output)
+                       (lib    (string-append out "/lib"))
+                       (static #$output:static)
+                       (slib   (string-append static "/lib")))
+                  (for-each (lambda (file)
+                              (install-file file slib)
+                              (delete-file file))
+                            (find-files
+                             lib
+                             #$(if (target-mingw?)
+                                   '(lambda (filename _)
+                                      (and (string-suffix? ".a" filename)
+                                           (not (string-suffix? ".dll.a" filename))))
+                                   "\\.a$"))))))
+            (add-after 'install 'move-extra-documentation
+              (lambda _
+                ;; Move man pages and full HTML documentation to "doc".
+                (let* ((out    #$output)
+                       (man    (string-append out "/share/man"))
+                       (html   (string-append out "/share/doc/openssl"))
+                       (doc    #$output:doc)
+                       (man-target (string-append doc "/share/man"))
+                       (html-target (string-append doc "/share/doc/openssl")))
+                  (mkdir-p (dirname man-target))
+                  (mkdir-p (dirname html-target))
+                  (rename-file man man-target)
+                  (rename-file html html-target))))
+            (add-after
+                'install 'remove-miscellany
+              (lambda _
+                ;; The 'misc' directory contains random undocumented shell and Perl
+                ;; scripts.  Remove them to avoid retaining a reference on Perl.
+                (delete-file-recursively (string-append #$output "/share/openssl-"
+                                                        #$(package-version this-package)
+                                                        "/misc")))))))
+      (native-search-paths
+       (list $SSL_CERT_DIR $SSL_CERT_FILE))
+      (synopsis "SSL/TLS implementation")
+      (description "OpenSSL is an implementation of SSL/TLS.")
+      (license license:openssl)
+      (home-page "https://www.openssl.org/"))))
 
 (define openssl/fixed
   (package
-- 
2.39.1





Information forwarded to bug-guix@HIDDEN:
bug#56137; Package guix. Full text available.

Message received at 56137 <at> debbugs.gnu.org:


Received: (at 56137) by debbugs.gnu.org; 26 Feb 2023 05:29:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 26 00:29:20 2023
Received: from localhost ([127.0.0.1]:42141 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pW9b5-0006AA-DG
	for submit <at> debbugs.gnu.org; Sun, 26 Feb 2023 00:29:20 -0500
Received: from mail-qt1-f176.google.com ([209.85.160.176]:35660)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1pW9b3-00069w-5s
 for 56137 <at> debbugs.gnu.org; Sun, 26 Feb 2023 00:29:18 -0500
Received: by mail-qt1-f176.google.com with SMTP id w42so3633652qtc.2
 for <56137 <at> debbugs.gnu.org>; Sat, 25 Feb 2023 21:29:17 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:subject:cc
 :to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=uylHATIgjDtx7YsP5tuZRd60DUid7cIxlIMmu8Y0g8U=;
 b=mkSittm1zLsoRZ6MBynQOIPUB+xTrFP3Xwx+lCm82Cjl27g13NvnxACfxmHkQ8xGPc
 RuCbedpkTfTlawxyHSXinz/d8GcczBRCcGvdTrU2QpbQ/DGExepnCeeZw851/4V9SYGY
 ZRjZx4vv76M/gCoLYnnlIvjbgclOFuSTWo17+4mijSUR7wFo0HukKkKxsJrWBpLuGweb
 KnR28sl+EvPEn0o6sVhTlX1iXsyFromyUa4V5SdMHLtUDixE0yuVw1Ox3oUvpClRX5uG
 SGitX86Xnvt65D5ZIGSIOC7zqmtAoP2dDjzSFdlAJwz1JS4noeyF9sRhbtlKIt5SmOYA
 nmEA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:subject:cc
 :to:from:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=uylHATIgjDtx7YsP5tuZRd60DUid7cIxlIMmu8Y0g8U=;
 b=LftVXF4CCn7KVqB1yluu+8wlafdIgI8d44Qr0wGTDe24NoVc1PdUuF+gTf59oScGQl
 2XvDnvYUeZ59xmyl6NODTanVpW7sshjHEy0gqYGwDE0A1XZesB0ip7AQobQPEXoh7nMC
 kMc3xNygU5r6kHX5bi3GOcwYybZihcBx1qYlisnV3TFzeowxpIfGz/HPvQMZZ4NtVkzH
 HzBXU6XziamaTEMWU3bKzCnkHxShCp/wOj2CCxGkSVA+ys86qgEuDnqgPrWH+8bHDibX
 At2YcIUb2kHsBb1wGmLb4BPrL4w0fSRNxnTaU8RWkTgdeE6ReyrWDF9ZLWKluzbkM/4P
 mQ4g==
X-Gm-Message-State: AO0yUKU1m4PQbyynpCFFnIhNUAAVhiXAUsrRCUyoMwKef1Zt89xVjhDJ
 QHUf2z57di19eHlJwmI2L1qNZrAxe7XlWdYW
X-Google-Smtp-Source: AK7set8gaVZECPMBiLZ4J9A/iRvdzZmJb67Q0qmZo5DMgNT1WAY9WnNadZyzMvOLnh6jIicKvJRhVA==
X-Received: by 2002:ac8:5cc7:0:b0:3b6:8bc3:a09c with SMTP id
 s7-20020ac85cc7000000b003b68bc3a09cmr8671833qta.25.1677389351396; 
 Sat, 25 Feb 2023 21:29:11 -0800 (PST)
Received: from localhost.localdomain (dsl-141-27.b2b2c.ca. [66.158.141.27])
 by smtp.gmail.com with ESMTPSA id
 z15-20020ac8454f000000b003b848759ed8sm2429567qtn.47.2023.02.25.21.29.10
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 25 Feb 2023 21:29:11 -0800 (PST)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 56137 <at> debbugs.gnu.org
Subject: [PATCH 1/2] gnu: openssl-1.1: Do not quasiquote arguments.
Date: Sun, 26 Feb 2023 00:29:04 -0500
Message-Id: <20230226052906.784-1-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.39.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56137
Cc: sjors@HIDDEN, ludo@HIDDEN, maximedevos@HIDDEN,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>, zimon.toutoune@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tls.scm (openssl-1.1): Do not quasiquote arguments.
---

 gnu/packages/tls.scm | 190 +++++++++++++++++++++----------------------
 1 file changed, 94 insertions(+), 96 deletions(-)

diff --git a/gnu/packages/tls.scm b/gnu/packages/tls.scm
index 59e0e28feb..524b801443 100644
--- a/gnu/packages/tls.scm
+++ b/gnu/packages/tls.scm
@@ -15,7 +15,7 @@
 ;;; Copyright © 2018 Clément Lassieur <clement@HIDDEN>
 ;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;; Copyright © 2020 Jan (janneke) Nieuwenhuizen <janneke@HIDDEN>
-;;; Copyright © 2020, 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
+;;; Copyright © 2020, 2021, 2023 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright © 2021 Solene Rapenne <solene@HIDDEN>
 ;;; Copyright © 2021 Brice Waegeneire <brice@HIDDEN>
 ;;; Copyright © 2021 Maxime Devos <maximedevos@HIDDEN>
@@ -515,107 +515,105 @@ (define-public openssl-1.1
                "static"))   ;6.4 MiB of .a files
     (native-inputs (list perl))
     (arguments
-     `(#:parallel-tests? #f
-       #:test-target "test"
+     (list
+      #:parallel-tests? #f
+      #:test-target "test"
 
-       ;; Changes to OpenSSL sometimes cause Perl to "sneak in" to the closure,
-       ;; so we explicitly disallow it here.
-       #:disallowed-references ,(list (canonical-package perl))
-       #:phases
-       ,#~
-       (modify-phases %standard-phases
-         #$@(if (%current-target-system)
-                #~((add-before
-                       'configure 'set-cross-compile
-                     (lambda* (#:key target #:allow-other-keys)
-                       (setenv "CROSS_COMPILE" (string-append target "-"))
-                       (setenv "CONFIGURE_TARGET_ARCH"
-                               #$(target->openssl-target
-                                  (%current-target-system))))))
-                #~())
-         ;; This test seems to be dependant on kernel features.
-         ;; https://github.com/openssl/openssl/issues/12242
-         #$@(if (or (target-arm?)
-                    (target-riscv64?))
-                #~((replace 'check
-                     (lambda* (#:key tests? test-target #:allow-other-keys)
-                       (when tests?
-                         (invoke "make" "TESTS=-test_afalg" test-target)))))
-                #~())
-         (replace 'configure
-           (lambda* (#:key configure-flags #:allow-other-keys)
-             (let* ((out #$output)
-                    (lib (string-append out "/lib")))
-               ;; It's not a shebang so patch-source-shebangs misses it.
-               (substitute* "config"
-                 (("/usr/bin/env")
-                  (string-append (assoc-ref %build-inputs "coreutils")
-                                 "/bin/env")))
-               (apply
-                invoke #$@(if (%current-target-system)
-                              #~("./Configure")
-                              #~("./config"))
-                "shared"                ;build shared libraries
-                "--libdir=lib"
+      ;; Changes to OpenSSL sometimes cause Perl to "sneak in" to the closure,
+      ;; so we explicitly disallow it here.
+      #:disallowed-references (list (canonical-package perl))
+      #:phases
+      #~(modify-phases %standard-phases
+          #$@(if (%current-target-system)
+                 #~((add-before 'configure 'set-cross-compile
+                      (lambda* (#:key target #:allow-other-keys)
+                        (setenv "CROSS_COMPILE" (string-append target "-"))
+                        (setenv "CONFIGURE_TARGET_ARCH"
+                                #$(target->openssl-target
+                                   (%current-target-system))))))
+                 #~())
+          ;; This test seems to be dependant on kernel features.
+          ;; https://github.com/openssl/openssl/issues/12242
+          #$@(if (or (target-arm?)
+                     (target-riscv64?))
+                 #~((replace 'check
+                      (lambda* (#:key tests? test-target #:allow-other-keys)
+                        (when tests?
+                          (invoke "make" "TESTS=-test_afalg" test-target)))))
+                 #~())
+          (replace 'configure
+            (lambda* (#:key configure-flags #:allow-other-keys)
+              (let* ((out #$output)
+                     (lib (string-append out "/lib")))
+                ;; It's not a shebang so patch-source-shebangs misses it.
+                (substitute* "config"
+                  (("/usr/bin/env")
+                   (string-append (assoc-ref %build-inputs "coreutils")
+                                  "/bin/env")))
+                (apply
+                 invoke #$@(if (%current-target-system)
+                               #~("./Configure")
+                               #~("./config"))
+                 "shared"               ;build shared libraries
+                 "--libdir=lib"
 
-                ;; The default for this catch-all directory is
-                ;; PREFIX/ssl.  Change that to something more
-                ;; conventional.
-                (string-append "--openssldir=" out
-                               "/share/openssl-"
-                               #$(package-version this-package))
+                 ;; The default for this catch-all directory is
+                 ;; PREFIX/ssl.  Change that to something more
+                 ;; conventional.
+                 (string-append "--openssldir=" out
+                                "/share/openssl-"
+                                #$(package-version this-package))
 
-                (string-append "--prefix=" out)
-                (string-append "-Wl,-rpath," lib)
-                #$@(if (%current-target-system)
-                       #~((getenv "CONFIGURE_TARGET_ARCH"))
-                       #~())
-                configure-flags)
-               ;; Output the configure variables.
-               (invoke "perl" "configdata.pm" "--dump"))))
-         (add-after 'install 'move-static-libraries
-           (lambda _
-             ;; Move static libraries to the "static" output.
-             (let* ((out    #$output)
-                    (lib    (string-append out "/lib"))
-                    (static #$output:static)
-                    (slib   (string-append static "/lib")))
-               (for-each (lambda (file)
-                           (install-file file slib)
-                           (delete-file file))
-                         (find-files
-                          lib
-                          #$(if (target-mingw?)
-                                '(lambda (filename _)
-                                   (and (string-suffix? ".a" filename)
-                                        (not (string-suffix? ".dll.a" filename))))
-                                "\\.a$"))))))
-         (add-after 'install 'move-extra-documentation
-           (lambda _
-             ;; Move man pages and full HTML documentation to "doc".
-             (let* ((out    #$output)
-                    (man    (string-append out "/share/man"))
-                    (html   (string-append out "/share/doc/openssl"))
-                    (doc    #$output:doc)
-                    (man-target (string-append doc "/share/man"))
-                    (html-target (string-append doc "/share/doc/openssl")))
-               (mkdir-p (dirname man-target))
-               (mkdir-p (dirname html-target))
-               (rename-file man man-target)
-               (rename-file html html-target))))
-         (add-after
-             'install 'remove-miscellany
-           (lambda _
-             ;; The 'misc' directory contains random undocumented shell and Perl
-             ;; scripts.  Remove them to avoid retaining a reference on Perl.
-             (delete-file-recursively (string-append #$output "/share/openssl-"
-                                                     #$(package-version this-package)
-                                                     "/misc")))))))
+                 (string-append "--prefix=" out)
+                 (string-append "-Wl,-rpath," lib)
+                 #$@(if (%current-target-system)
+                        #~((getenv "CONFIGURE_TARGET_ARCH"))
+                        #~())
+                 configure-flags)
+                ;; Output the configure variables.
+                (invoke "perl" "configdata.pm" "--dump"))))
+          (add-after 'install 'move-static-libraries
+            (lambda _
+              ;; Move static libraries to the "static" output.
+              (let* ((out    #$output)
+                     (lib    (string-append out "/lib"))
+                     (static #$output:static)
+                     (slib   (string-append static "/lib")))
+                (for-each (lambda (file)
+                            (install-file file slib)
+                            (delete-file file))
+                          (find-files
+                           lib
+                           #$(if (target-mingw?)
+                                 '(lambda (filename _)
+                                    (and (string-suffix? ".a" filename)
+                                         (not (string-suffix? ".dll.a" filename))))
+                                 "\\.a$"))))))
+          (add-after 'install 'move-extra-documentation
+            (lambda _
+              ;; Move man pages and full HTML documentation to "doc".
+              (let* ((out    #$output)
+                     (man    (string-append out "/share/man"))
+                     (html   (string-append out "/share/doc/openssl"))
+                     (doc    #$output:doc)
+                     (man-target (string-append doc "/share/man"))
+                     (html-target (string-append doc "/share/doc/openssl")))
+                (mkdir-p (dirname man-target))
+                (mkdir-p (dirname html-target))
+                (rename-file man man-target)
+                (rename-file html html-target))))
+          (add-after
+              'install 'remove-miscellany
+            (lambda _
+              ;; The 'misc' directory contains random undocumented shell and Perl
+              ;; scripts.  Remove them to avoid retaining a reference on Perl.
+              (delete-file-recursively (string-append #$output "/share/openssl-"
+                                                      #$(package-version this-package)
+                                                      "/misc")))))))
     (native-search-paths
      (list $SSL_CERT_DIR $SSL_CERT_FILE))
     (synopsis "SSL/TLS implementation")
-    (description
-     "OpenSSL is an implementation of SSL/TLS.")
+    (description "OpenSSL is an implementation of SSL/TLS.")
     (license license:openssl)
     (home-page "https://www.openssl.org/")))
 

base-commit: cb0d8100b288b5b0d130820207db17764b7d2140
-- 
2.39.1





Information forwarded to bug-guix@HIDDEN:
bug#56137; Package guix. Full text available.
Changed bug title to 'OpenSSL 1.1.1n test failures due to expired certificates (time bomb)' from 'OpenSSL 3.0.3/1.1.1n includes a time-dependent test' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 56137 58650. Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug unarchived. Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 56137-done <at> debbugs.gnu.org:


Received: (at 56137-done) by debbugs.gnu.org; 24 Jun 2022 15:00:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 24 11:00:41 2022
Received: from localhost ([127.0.0.1]:43170 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4knZ-0004NE-Ep
	for submit <at> debbugs.gnu.org; Fri, 24 Jun 2022 11:00:41 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:54730)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o4knV-0004N3-N5
 for 56137-done <at> debbugs.gnu.org; Fri, 24 Jun 2022 11:00:40 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by michel.telenet-ops.be with bizsmtp
 id n30b270094UW6Th0630b2r; Fri, 24 Jun 2022 17:00:36 +0200
Message-ID: <a76013c8bfcdff3d09b5e651f694a76f0ce4a558.camel@HIDDEN>
Subject: Re: bug#56137: OpenSSL 3.0.3/1.1.1n includes a time-dependent test
From: Maxime Devos <maximedevos@HIDDEN>
To: Ludovic =?ISO-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
Date: Fri, 24 Jun 2022 17:00:31 +0200
In-Reply-To: <87fsjuunhy.fsf@HIDDEN>
References: <87r13h3tqr.fsf@HIDDEN> <87ilot3ru7.fsf@HIDDEN>
 <80d9565a7af986075ecc93bc64ce6a48d1381efc.camel@HIDDEN>
 <87fsjuunhy.fsf@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-l+IpijGlDrs1U2lnE9KL"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1656082836; bh=xGJVk93GUOZGrPPV36F+SANUoJJLvcybI6uaZJdQv6g=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=P00pbbglb1S0+u+seQ5VLJZaDJ68CYAt9vVnzRtv6lShpodmr/DgtDIRasBZyyvBZ
 XVH9+qnkig+3thuMfoVDbRZ1A99l2cZVI+g//LkuoWYwshE1BAGWSIx5VbF8321hyW
 lho0ndNFGkGhht9UwXalC+adZJWGUXS1vtFiyp6aiwdKXz0PjpYJNrmeOLN62xFcEU
 Dd/nijD2+7vmAscN6EmAZTwfi0vVdJarQ/zpvZxV9X9fZ7OcuncyWWdHfmI4BN0iN+
 xUEuHmfzc9c43tXsuS8he1IZ27AWi4UK7x11fZ3myRiJmG+UwkNLfkV+IsYv+iZd/r
 idnIltksIvIFg==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56137-done
Cc: 56137-done <at> debbugs.gnu.org, phodina <phodina@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-l+IpijGlDrs1U2lnE9KL
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Ludovic Court=C3=A8s schreef op vr 24-06-2022 om 16:47 [+0200]:
> That=E2=80=99s an option, but it might be trickier than it seems?=C2=A0 O=
r is it
> really just about running that script?

I don't know, Someone(=E2=84=A2) would need to try it out.  Though to be 10=
0%
correct, it's not sufficient, IIRC there was something about TLS
certificates only supporting years up to 9999, so we would need to
check that the year isn't to big and if so skip tests or something.


Greetings,
Maxime.


--=-l+IpijGlDrs1U2lnE9KL
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYrXRjxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7traAP9vSs8c6B1sXoXlw7b3KDsy+Gi9
r9FNhntymGOoKhR2eAEAxqNaoC01q5Mctsc4K9rIz2rbMqmIrd+fJDAAfFeZug4=
=FpYZ
-----END PGP SIGNATURE-----

--=-l+IpijGlDrs1U2lnE9KL--





Information forwarded to bug-guix@HIDDEN:
bug#56137; Package guix. Full text available.

Message received at 56137-done <at> debbugs.gnu.org:


Received: (at 56137-done) by debbugs.gnu.org; 24 Jun 2022 14:47:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 24 10:47:56 2022
Received: from localhost ([127.0.0.1]:43149 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4kb8-0003zg-CY
	for submit <at> debbugs.gnu.org; Fri, 24 Jun 2022 10:47:56 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41598)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1o4kb6-0003yq-47
 for 56137-done <at> debbugs.gnu.org; Fri, 24 Jun 2022 10:47:49 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33654)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1o4kay-0008At-6m; Fri, 24 Jun 2022 10:47:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=jQYCD26PmyJ9n8qrRjkxTyTCJWi3b4k4dX6KB1t9KYA=; b=Q9d1y6NKtJEZ5CTiTaBB
 YeohVYV1CfgDmX+4z2rgDzuvFbStHrd7ujZBKZE+CVfIeoQzGcwLRvyHcwEHbbGqY0IZFbfKNDyzP
 NTuWUKh48Tz3XG5dMhNrUJgp3y85C+DizbMJjdH3n0elSZknIqPN0cvnS11pTZthYPedpDgYlIgcX
 cs+Ux5vuo/W1n6FuZfMAAl24DI7CeiTE5g45Knn2gCwUbA5ZA2yCUQjFKPunib4DIrtlh5E4c4+ji
 0jLgUOMF8qsCnwTQdaqAzs0KHn7jfNMcsotto3eh/QeS6cMMFDv69e3+7p7l9/pkxiIVWo9S5wx3u
 Rmi+BY4eNbnw+g==;
Received: from [193.50.110.235] (port=36700 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1o4kax-0007dI-PO; Fri, 24 Jun 2022 10:47:39 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: bug#56137: OpenSSL 3.0.3/1.1.1n includes a time-dependent test
References: <87r13h3tqr.fsf@HIDDEN> <87ilot3ru7.fsf@HIDDEN>
 <80d9565a7af986075ecc93bc64ce6a48d1381efc.camel@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: Sextidi 6 Messidor an 230 de la =?utf-8?Q?R=C3=A9vol?=
 =?utf-8?Q?ution=2C?= jour du Romarin
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 24 Jun 2022 16:47:37 +0200
In-Reply-To: <80d9565a7af986075ecc93bc64ce6a48d1381efc.camel@HIDDEN>
 (Maxime Devos's message of "Wed, 22 Jun 2022 12:49:51 +0200")
Message-ID: <87fsjuunhy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: base64
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56137-done
Cc: 56137-done <at> debbugs.gnu.org, phodina <phodina@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

TWF4aW1lIERldm9zIDxtYXhpbWVkZXZvc0B0ZWxlbmV0LmJlPiBza3JpYmlzOg0KDQo+IEx1ZG92
aWMgQ291cnTDqHMgc2NocmVlZiBvcCB3byAyMi0wNi0yMDIyIG9tIDEyOjM5IFsrMDIwMF06DQo+
PiBUaGF0IGNvbW1pdCBza2lwcyB0aGUgdGVzdC7CoCBJIHRyaWVkIGFub3RoZXIgYXBwcm9hY2gg
d2l0aCDigJhkYXRlZnVkZ2XigJksDQo+PiB3aGljaCBoYXMgdGhlIGFkdmFudGFnZSBvZiBiZWlu
ZyBtb3JlIGV4cGxpY2l0IGFuZCBmdXR1cmUtcHJvb2YgKHNob3VsZA0KPj4gdGhlcmUgYmUgc2lt
aWxhciBpc3N1ZXMgbHlpbmcgYXJvdW5kKToNCj4+IA0KPj4gwqDCoMKgwqDCoMKgwqDCoMKgwqDC
oMKgwqDCoCAoaW52b2tlICJkYXRlZnVkZ2UiICIyMDIyLTAxLTAxIg0KPj4gwqDCoMKgwqDCoMKg
wqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqAgIm1ha2UiIHRlc3QtdGFyZ2V0DQo+PiDC
oMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoCAjJEAoaWYgKG9yICh0
YXJnZXQtYXJtPykgKHRhcmdldC1yaXNjdjY0PykpDQo+PiDCoMKgwqDCoMKgwqDCoMKgwqDCoMKg
wqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgICN+KCJURVNUUz0tdGVzdF9hZmFs
ZyIpDQo+PiDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDC
oMKgwqDCoMKgICN+KCkpKQ0KPg0KPiBMb29raW5nIGF0IDxodHRwczovL2dpdGh1Yi5jb20vb3Bl
bnNzbC9vcGVuc3NsL2lzc3Vlcy8xNTE3OT4sDQo+IHVwc3RlYW0ganVzdCByZXBsYWNlcyB0aGUg
Y2VydGlmaWNhdGVzIHdoZW4gdGhlc2UgdGhpbmdzIGhhcHBlbiwgc28NCj4gdGhlcmUgY291bGQg
ZWFzaWx5IGJlIG1vcmUgdGltZSBib21icy4gIEFzIHN1Y2gsIFdEWVQgb2YgcmVtb3ZpbmcgX2Fs
bF8NCj4gdGhlIGNlcnRzIGluIHRlc3RzL2NlcnRzIGZvciByb2J1c3RuZXNzLCBtYXliZSBnZW5l
cmF0aW5nIHRoZW0gbG9jYWxseQ0KPiB3aXRoIHRlc3Qvc21pbWUtY2VydHMvbWtzbWltZS1jZXJ0
cy5zaD8NCg0KVGhhdOKAmXMgYW4gb3B0aW9uLCBidXQgaXQgbWlnaHQgYmUgdHJpY2tpZXIgdGhh
biBpdCBzZWVtcz8gIE9yIGlzIGl0DQpyZWFsbHkganVzdCBhYm91dCBydW5uaW5nIHRoYXQgc2Ny
aXB0Pw0KDQpJIHRob3VnaHQgaXTigJlkIGJlIGVhc2llciBhbmQgbW9yZSByb2J1c3QgdG8gdXNl
IOKAmGRhdGVmdWRnZeKAmSBvciBzaW1pbGFyDQpiZWNhdXNlIGl04oCZZCBhbW91bnQgdG8gZnJl
ZXppbmcgdGhpbmdzIGluIHRpbWUgKEdudVRMUyBkb2VzIHRoYXQgaW4gaXRzDQp0ZXN0IHN1aXRl
KS4gIEl0IGRpZG7igJl0IHdvcmsgZm9yIHNvbWUgcmVhc29uIGJ1dCBpdCBtaWdodCBiZSB3b3J0
aA0KaW52ZXN0aWdhdGluZy4NCg0KTHVkb+KAmS4NCg==




Information forwarded to bug-guix@HIDDEN:
bug#56137; Package guix. Full text available.

Message received at 56137-done <at> debbugs.gnu.org:


Received: (at 56137-done) by debbugs.gnu.org; 22 Jun 2022 10:50:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 22 06:50:05 2022
Received: from localhost ([127.0.0.1]:34161 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o3xvx-0002v2-E9
	for submit <at> debbugs.gnu.org; Wed, 22 Jun 2022 06:50:05 -0400
Received: from albert.telenet-ops.be ([195.130.137.90]:38534)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o3xvu-0002uU-18
 for 56137-done <at> debbugs.gnu.org; Wed, 22 Jun 2022 06:50:03 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by albert.telenet-ops.be with bizsmtp
 id mApz2700Q4UW6Th06Apzll; Wed, 22 Jun 2022 12:49:59 +0200
Message-ID: <80d9565a7af986075ecc93bc64ce6a48d1381efc.camel@HIDDEN>
Subject: Re: bug#56137: OpenSSL 3.0.3/1.1.1n includes a time-dependent test
From: Maxime Devos <maximedevos@HIDDEN>
To: Ludovic =?ISO-8859-1?Q?Court=E8s?= <ludo@HIDDEN>, 
 56137-done <at> debbugs.gnu.org
Date: Wed, 22 Jun 2022 12:49:51 +0200
In-Reply-To: <87ilot3ru7.fsf@HIDDEN>
References: <87r13h3tqr.fsf@HIDDEN> <87ilot3ru7.fsf@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-MHgSx3FN73NlMpv29T6y"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1655894999; bh=vBlamKO2gzDQFubcRY/sctfLB6Kotw/4D5a4sT/JISQ=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=XggDsMqAxZVRjGM/psoOhJmk+N+W1T+6RRw2QtQysUK+ZqLEf68JNTUkNTvDYW/HP
 WkDWPuf84Ea3Th3Pp3e0wSCKnukc5JJ05WJEjO1xWJVktv8ge5nc1gajjM239VWiH9
 DXtZfzHa/MT9IuBpmqXnUGfGbbS/DDhOoyfH2+z8AR/c9N2bECorV6Bubfo3m6TiGQ
 sO0Kerf2BQiCiqYcECceAsk6fNtJ00BUlQpM5S4rEP+QMtSgzGUOFl893MVCS8QUs7
 Ujyhk0Xhlu/rY39Vm1FzI0jo6pSr6vjRq3060rYnBODiBwB5v4WLRLcRmQjRhJmwWf
 9oJz6UqplTlBg==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56137-done
Cc: phodina <phodina@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-MHgSx3FN73NlMpv29T6y
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: base64

THVkb3ZpYyBDb3VydMOocyBzY2hyZWVmIG9wIHdvIDIyLTA2LTIwMjIgb20gMTI6MzkgWyswMjAw
XToKPiBUaGF0IGNvbW1pdCBza2lwcyB0aGUgdGVzdC7CoCBJIHRyaWVkIGFub3RoZXIgYXBwcm9h
Y2ggd2l0aCDigJhkYXRlZnVkZ2XigJksCj4gd2hpY2ggaGFzIHRoZSBhZHZhbnRhZ2Ugb2YgYmVp
bmcgbW9yZSBleHBsaWNpdCBhbmQgZnV0dXJlLXByb29mIChzaG91bGQKPiB0aGVyZSBiZSBzaW1p
bGFyIGlzc3VlcyBseWluZyBhcm91bmQpOgo+IAo+IMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKg
wqAgKGludm9rZSAiZGF0ZWZ1ZGdlIiAiMjAyMi0wMS0wMSIKPiDCoMKgwqDCoMKgwqDCoMKgwqDC
oMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoCAibWFrZSIgdGVzdC10YXJnZXQKPiDCoMKgwqDCoMKg
wqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoCAjJEAoaWYgKG9yICh0YXJnZXQtYXJt
PykgKHRhcmdldC1yaXNjdjY0PykpCj4gwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDC
oMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoCAjfigiVEVTVFM9LXRlc3RfYWZhbGciKQo+IMKgwqDC
oMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqAgI34o
KSkpCgpMb29raW5nIGF0IDxodHRwczovL2dpdGh1Yi5jb20vb3BlbnNzbC9vcGVuc3NsL2lzc3Vl
cy8xNTE3OT4sCnVwc3RlYW0ganVzdCByZXBsYWNlcyB0aGUgY2VydGlmaWNhdGVzIHdoZW4gdGhl
c2UgdGhpbmdzIGhhcHBlbiwgc28KdGhlcmUgY291bGQgZWFzaWx5IGJlIG1vcmUgdGltZSBib21i
cy4gIEFzIHN1Y2gsIFdEWVQgb2YgcmVtb3ZpbmcgX2FsbF8KdGhlIGNlcnRzIGluIHRlc3RzL2Nl
cnRzIGZvciByb2J1c3RuZXNzLCBtYXliZSBnZW5lcmF0aW5nIHRoZW0gbG9jYWxseQp3aXRoIHRl
c3Qvc21pbWUtY2VydHMvbWtzbWltZS1jZXJ0cy5zaD8KCkdyZWV0aW5ncywKTWF4aW1lLgo=


--=-MHgSx3FN73NlMpv29T6y
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYrLzzxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7rqGAQDU9WQl/p/I4RP+F3fy8N0NEauy
hNlQzLCwuqCkAWCk4AEAoF42URzn8EwJqe6bR3uC5sfdgXK9bJyefaKDgAe8jQU=
=C8h6
-----END PGP SIGNATURE-----

--=-MHgSx3FN73NlMpv29T6y--





Information forwarded to bug-guix@HIDDEN:
bug#56137; Package guix. Full text available.

Message received at 56137-done <at> debbugs.gnu.org:


Received: (at 56137-done) by debbugs.gnu.org; 22 Jun 2022 10:39:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 22 06:39:21 2022
Received: from localhost ([127.0.0.1]:34122 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o3xlZ-0000Si-21
	for submit <at> debbugs.gnu.org; Wed, 22 Jun 2022 06:39:21 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33862)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1o3xlX-0000SW-QE
 for 56137-done <at> debbugs.gnu.org; Wed, 22 Jun 2022 06:39:20 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37886)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1o3xlS-0003Fl-I5; Wed, 22 Jun 2022 06:39:14 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=UMp2A+SaXxJrfrxg/XQ/evQSZXh9Xxm/u3YDXtUY4GA=; b=Tygkqu2+nmT14l1IaQjI
 eVD9h04spgQYJ1c74YG/sokieRgZUH9Ae/9JxI4zMyEZOv2WzW0lNbFxtFb481H6vG68aVJ/Yil/9
 BXidALUKdMvRYvJ4vEAwFaLWwEP0ofpkE9hEI9tbMacGoljGdW5I0mKStnUQepawBRmMhssB5K7zA
 7vu5vc81biPsnCx0TlodLFAT7aC7Psv6JDu8a14GiVIJW7R6q/38jt6oXljFuRnnHCQ4Wx5PROW1M
 Qyc2aLr37EX/uFH9T0PrV9HwKF6H7/6QLlmsPLudHaz1S9bSXfqJyxuiYdHSYax9lE30v2TqMLOED
 v4X+Yd+9MGuV+g==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:49650
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1o3xlS-0002sE-42; Wed, 22 Jun 2022 06:39:14 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: 56137-done <at> debbugs.gnu.org
Subject: Re: bug#56137: OpenSSL 3.0.3/1.1.1n includes a time-dependent test
References: <87r13h3tqr.fsf@HIDDEN>
Date: Wed, 22 Jun 2022 12:39:12 +0200
In-Reply-To: <87r13h3tqr.fsf@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s=22'?=
 =?utf-8?Q?s?= message of "Wed, 22 Jun 2022 11:58:04 +0200")
Message-ID: <87ilot3ru7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56137-done
Cc: phodina <phodina@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ludovic Court=C3=A8s <ludo@HIDDEN> skribis:

> As reported by phodina in <https://issues.guix.gnu.org/53581>, OpenSSL
> 1.1.1n and 3.0.3 include a time-dependent test that now fails due to an
> expired certificate:
>
>   https://github.com/openssl/openssl/issues/18441

Fixed on =E2=80=98core-updates=E2=80=99 with 6cd438c4c2beb016a821143cdfdd12=
892aa9fd5f.

That commit skips the test.  I tried another approach with =E2=80=98datefud=
ge=E2=80=99,
which has the advantage of being more explicit and future-proof (should
there be similar issues lying around):

               (invoke "datefudge" "2022-01-01"
                       "make" test-target
                       #$@(if (or (target-arm?) (target-riscv64?))
                              #~("TESTS=3D-test_afalg")
                              #~()))

For some reason it didn=E2=80=99t work.

Note that we cannot use libfaketime because:

--8<---------------cut here---------------start------------->8---
$ guix graph -t derivation --path libfaketime openssl@1
/gnu/store/a4jcd4h7nvn97a2mw4n1yydgbh0i2wmz-libfaketime-0.9.9.drv
/gnu/store/hf5arq562aiisycnjcnhgfwzrl8lwrbc-libfaketime-0.9.9-checkout.drv
/gnu/store/xpnrk8hjfh7rvgqfsjwkjrb9cz1ws626-git-minimal-2.36.1.drv
/gnu/store/gavjhl823bhd95rijqf3iw3vl32ix494-openssl-1.1.1l.drv
--8<---------------cut here---------------end--------------->8---

Ludo=E2=80=99.




Notification sent to Ludovic Courtès <ludo@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.
Severity set to 'important' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Jun 2022 09:58:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 22 05:58:12 2022
Received: from localhost ([127.0.0.1]:34080 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o3x7j-0005Wr-SO
	for submit <at> debbugs.gnu.org; Wed, 22 Jun 2022 05:58:12 -0400
Received: from lists.gnu.org ([209.51.188.17]:43690)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1o3x7f-0005Wi-RF
 for submit <at> debbugs.gnu.org; Wed, 22 Jun 2022 05:58:11 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:39914)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>) id 1o3x7f-0001yE-Ft
 for bug-guix@HIDDEN; Wed, 22 Jun 2022 05:58:07 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37348)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>) id 1o3x7f-00055j-6l
 for bug-guix@HIDDEN; Wed, 22 Jun 2022 05:58:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:Subject:To:From:in-reply-to:
 references; bh=0cfdRzzQ8wWTNKCss123iEgarbtsNXTGeaUO7SwjUaA=; b=LolCJQP08U2dJ+
 Hnsk/u4/xLMCG07r+oBOk6jP1LT/ipm1gsZEGGXVDlJQyPB1tJGC6QrcqyvtbrRZ2FYTr9VLBL5ib
 Zv7oObqeFDs+xG/1OP4vAZ8oRTe5zTz4WYPg0PCdMO9burccTsKxlmF3ywQpSiEXwAQGCjLuGKtfG
 +LMl9vB+cZZbRZB0pa/TEmy9BXKkju2xUeNhNABxYq+jtHSWQNXl1gz4slzKk4LvtFhdt0ffONixt
 j/l9rgD9VPGX/GRtFL4ocvK1OTyGDrV1vOABmIKFd59WTSfy4j+QngNcCSfKT+tEFTq/cLjNzDe10
 puwCzKecHCCWZrn06HLw==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:64487
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>) id 1o3x7e-00085f-Rb
 for bug-guix@HIDDEN; Wed, 22 Jun 2022 05:58:07 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: bug-guix@HIDDEN
Subject: OpenSSL 3.0.3/1.1.1n includes a time-dependent test
X-Debbugs-Cc: phodina <phodina@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: Quartidi 4 Messidor an 230 de la =?utf-8?Q?R=C3=A9vo?=
 =?utf-8?Q?lution=2C?= jour de
 la =?utf-8?Q?V=C3=A9ronique?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 22 Jun 2022 11:58:04 +0200
Message-ID: <87r13h3tqr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

As reported by phodina in <https://issues.guix.gnu.org/53581>, OpenSSL
1.1.1n and 3.0.3 include a time-dependent test that now fails due to an
expired certificate:

  https://github.com/openssl/openssl/issues/18441

The log looks like this:

--8<---------------cut here---------------start------------->8---
80-test_ocsp.t ..................... ok
80-test_pkcs12.t ................... ok

            # ERROR: (int) 'result->result =3D=3D test_ctx->expected_result=
' failed @ test/ssl_test.c:36
            # [2] compared to [0]
            # INFO:  @ test/ssl_test.c:37
            # ExpectedResult mismatch: expected Success, got ClientFail.
            # 40B78AF7FF7F0000:error:0A000415:SSL routines:ssl3_read_bytes:=
sslv3 alert certificate expired:ssl/record/rec_layer_s3.c:1584:SSL alert nu=
mber 45
            # OPENSSL_TEST_RAND_ORDER=3D1655844368
            not ok 2 - iteration 2
# -------------------------------------------------------------------------=
-----
            # ERROR: (int) 'result->result =3D=3D test_ctx->expected_result=
' failed @ test/ssl_test.c:36
            # [2] compared to [0]
            # INFO:  @ test/ssl_test.c:37
            # ExpectedResult mismatch: expected Success, got ClientFail.
            # 40B78AF7FF7F0000:error:0A000415:SSL routines:ssl3_read_bytes:=
sslv3 alert certificate expired:ssl/record/rec_layer_s3.c:1584:SSL alert nu=
mber 45
            # OPENSSL_TEST_RAND_ORDER=3D1655844368
            not ok 4 - iteration 4
# -------------------------------------------------------------------------=
-----
            # ERROR: (int) 'result->result =3D=3D test_ctx->expected_result=
' failed @ test/ssl_test.c:36
            # [4] compared to [0]
            # INFO:  @ test/ssl_test.c:37
            # ExpectedResult mismatch: expected Success, got FirstHandshake=
Failed.
            # 40B78AF7FF7F0000:error:0A000415:SSL routines:ssl3_read_bytes:=
sslv3 alert certificate expired:ssl/record/rec_layer_s3.c:1584:SSL alert nu=
mber 45
            # OPENSSL_TEST_RAND_ORDER=3D1655844368
            not ok 5 - iteration 5
# -------------------------------------------------------------------------=
-----
            # ERROR: (int) 'result->result =3D=3D test_ctx->expected_result=
' failed @ test/ssl_test.c:36
            # [4] compared to [0]
            # INFO:  @ test/ssl_test.c:37
            # ExpectedResult mismatch: expected Success, got FirstHandshake=
Failed.
            # 40B78AF7FF7F0000:error:0A000415:SSL routines:ssl3_read_bytes:=
sslv3 alert certificate expired:ssl/record/rec_layer_s3.c:1584:SSL alert nu=
mber 45
            # OPENSSL_TEST_RAND_ORDER=3D1655844368
            not ok 6 - iteration 6
# -------------------------------------------------------------------------=
-----
        # OPENSSL_TEST_RAND_ORDER=3D1655844368
        not ok 1 - test_handshake
# -------------------------------------------------------------------------=
-----
../../util/wrap.pl ../../test/ssl_test 12-ct.cnf.none none =3D> 1
    not ok 3 - running ssl_test 12-ct.cnf
# -------------------------------------------------------------------------=
-----
            # ERROR: (int) 'result->result =3D=3D test_ctx->expected_result=
' failed @ test/ssl_test.c:36
            # [2] compared to [0]
            # INFO:  @ test/ssl_test.c:37
            # ExpectedResult mismatch: expected Success, got ClientFail.
            # 40B78AF7FF7F0000:error:0A000415:SSL routines:ssl3_read_bytes:=
sslv3 alert certificate expired:ssl/record/rec_layer_s3.c:1584:SSL alert nu=
mber 45
            # OPENSSL_TEST_RAND_ORDER=3D1655844369
            not ok 2 - iteration 2
# -------------------------------------------------------------------------=
-----
            # ERROR: (int) 'result->result =3D=3D test_ctx->expected_result=
' failed @ test/ssl_test.c:36
            # [2] compared to [0]
            # INFO:  @ test/ssl_test.c:37
            # ExpectedResult mismatch: expected Success, got ClientFail.
            # 40B78AF7FF7F0000:error:0A000415:SSL routines:ssl3_read_bytes:=
sslv3 alert certificate expired:ssl/record/rec_layer_s3.c:1584:SSL alert nu=
mber 45
            # OPENSSL_TEST_RAND_ORDER=3D1655844369
            not ok 4 - iteration 4
# -------------------------------------------------------------------------=
-----
            # ERROR: (int) 'result->result =3D=3D test_ctx->expected_result=
' failed @ test/ssl_test.c:36
            # [4] compared to [0]
            # INFO:  @ test/ssl_test.c:37
            # ExpectedResult mismatch: expected Success, got FirstHandshake=
Failed.
            # 40B78AF7FF7F0000:error:0A000415:SSL routines:ssl3_read_bytes:=
sslv3 alert certificate expired:ssl/record/rec_layer_s3.c:1584:SSL alert nu=
mber 45
            # OPENSSL_TEST_RAND_ORDER=3D1655844369
            not ok 5 - iteration 5
# -------------------------------------------------------------------------=
-----
            # ERROR: (int) 'result->result =3D=3D test_ctx->expected_result=
' failed @ test/ssl_test.c:36
            # [4] compared to [0]
            # INFO:  @ test/ssl_test.c:37
            # ExpectedResult mismatch: expected Success, got FirstHandshake=
Failed.
            # 40B78AF7FF7F0000:error:0A000415:SSL routines:ssl3_read_bytes:=
sslv3 alert certificate expired:ssl/record/rec_layer_s3.c:1584:SSL alert nu=
mber 45
            # OPENSSL_TEST_RAND_ORDER=3D1655844369
            not ok 6 - iteration 6
# -------------------------------------------------------------------------=
-----
        # OPENSSL_TEST_RAND_ORDER=3D1655844369
        not ok 1 - test_handshake
# -------------------------------------------------------------------------=
-----
../../util/wrap.pl ../../test/ssl_test 12-ct.cnf.default default =3D> 1
    not ok 6 - running ssl_test 12-ct.cnf
# -------------------------------------------------------------------------=
-----
    #   Failed test 'running ssl_test 12-ct.cnf'
    #   at test/recipes/80-test_ssl_new.t line 171.
    # Looks like you failed 2 tests of 6.
not ok 12 - Test configuration 12-ct.cnf
# -------------------------------------------------------------------------=
-----
# Looks like you failed 1 test of 30.80-test_ssl_new.t ..................=20
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/30 subtests=20
80-test_ssl_old.t .................. ok
80-test_ssl_test_ctx.t ............. ok
--8<---------------cut here---------------end--------------->8---

That means that =E2=80=98openssl=E2=80=99 on current master (ca.
73761d8049f483e6685c2c736872d0366e03238a) now fails to build.

Ludo=E2=80=99.




Acknowledgement sent to Ludovic Courtès <ludo@HIDDEN>:
New bug report received and forwarded. Copy sent to phodina@HIDDEN, bug-guix@HIDDEN. Full text available.
Report forwarded to phodina@HIDDEN, bug-guix@HIDDEN:
bug#56137; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 26 Feb 2023 05:30:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.